%add_findreq_skiplist %perl_vendor_privlib/Introspector/*.pm
# BEGIN SourceDeps(oneline):
BuildRequires: libredland-devel perl(AutoLoader.pm) perl(B.pm) perl(DynaLoader.pm) perl(Errno.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(FileHandle.pm) perl(Pg.pm) perl(SOAP/Lite.pm) perl(Test.pm) perl(URI.pm) perl(XML/Parser/PerlSAX.pm) perl(XML/Simple.pm) perl(XMLRPC/Lite.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define module_version 0.04
%define module_name Introspector
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators
BuildRequires: /usr/bin/dos2unix

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: IntrOspEctOr Driver
Group: Development/Perl
License: perl
Url: %CPAN %module_name
BuildArch: noarch

Source0: http://cpan.org.ua/authors/id/M/MD/MDUPONT/%{module_name}-%{module_version}.tar.gz

%description
The Introspector main driver routine
Purpose : Driver for the introspector Project. 
Allows high level manipulation of program structures.
allows your programs to load themselves.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

rm -rf %buildroot%perl_vendor_privlib/B*
rm -rf %buildroot%perl_vendor_privlib/Introspector/GCC/test.pl
dos2unix %buildroot%perl_vendor_privlib/Introspector.pm

%files
%doc ChangeLog COPYING
%perl_vendor_privlib/C*
%perl_vendor_privlib/I*
%perl_vendor_privlib/auto/*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Thu May 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

